This plugin hasn’t been tested with the latest 3 major releases of WordPress. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

WP Vulnerable Updates

Description

WP vulnerable updates is an automated Vulnerable checking plugin in real time and alert you if any vulnerable updates found on your WordPress site.

Major features in WP vulnerable updates include:

  • Automatically checks all vulnerable updates and email you in real-time.
  • First free plugn to check all kind of updates such as Plugin, Theme and WordPress Core .

How it works ?

WP vulnerable updates checks vulnerable updates from https://wpvulndb.com/ on every 12 hours period
Warn you on vulnerable updates as admin notice and through email.

Why to use the plugin ?

1. Many WordPress sites are hacked every day due to vulnerable plugins/theme/WordPress and this plugin automatically checks Vulnerabilities on your WordPress site and alert you immediately.
2. It uses WP Cron to check for the Vulnerable updates so no external requests to your server.
3. Cached API results to decrease backend load time significantly

Well, this is the good reasons and this is your plugin.

Free and Open Source

WP vulnerable updates is Open Source plugin, which means that you can contribute to it.
Yup, that’s right! Do you want to contribute?
Here is the repository.
Cheers!

Screenshots

  • Alert near each plugin updates - You can view the vulnerable updates near each plugin updates with reference links.
  • Combined alert in update page - View all vulnerable updates grouped in updates page with reference links.
  • Settings - You can turn off emails and change the alerting email in settings > WP Vulnerable Updates.

Installation

  1. Upload the plugin files to the /wp-content/plugins/wp-vulnerable-updates directory, or install the plugin through the WordPress plugins screen directly.
  2. Activate the plugin through the ‘Plugins’ screen in WordPress
  3. Use the Settings->WP Vulnerable Updates to configure the plugin

FAQ

Installation Instructions
  1. Upload the plugin files to the /wp-content/plugins/wp-vulnerable-updates directory, or install the plugin through the WordPress plugins screen directly.
  2. Activate the plugin through the ‘Plugins’ screen in WordPress
  3. Use the Settings->WP Vulnerable Updates to configure the plugin

Contributors & Developers

“WP Vulnerable Updates” is open source software. The following people have contributed to this plugin.

Contributors

Changelog

1.0.0

Release Date – 22 Apr 2018

  • Feature: Check plugin, theme and WordPress core vulnerabilities in real-time.
  • Feature: Send the detailed email to admin.
  • Feature: Show admin notification on the updates page.